package com.pcloud.book.timecontrol.dto;

import java.io.Serializable;

/**
 * 单项任务进度DTO
 * @author PENG
 * @date 2020年2月19日15:09:44
 */
public class TaskProgressItemDTO implements Serializable {

    private static final long serialVersionUID = 4206283984013286771L;

    private Integer taskSendId;

    private Integer taskId;

    private Integer taskItemId;

    private String taskItemName;

    private Boolean completeState;

    private Boolean hasPrize;

    public Integer getTaskSendId() {
        return taskSendId;
    }

    public void setTaskSendId(Integer taskSendId) {
        this.taskSendId = taskSendId;
    }

    public Integer getTaskId() {
        return taskId;
    }

    public void setTaskId(Integer taskId) {
        this.taskId = taskId;
    }

    public Integer getTaskItemId() {
        return taskItemId;
    }

    public void setTaskItemId(Integer taskItemId) {
        this.taskItemId = taskItemId;
    }

    public String getTaskItemName() {
        return taskItemName;
    }

    public void setTaskItemName(String taskItemName) {
        this.taskItemName = taskItemName;
    }

    public Boolean getCompleteState() {
        return completeState;
    }

    public void setCompleteState(Boolean completeState) {
        this.completeState = completeState;
    }

    public Boolean getHasPrize() {
        return hasPrize;
    }

    public void setHasPrize(Boolean hasPrize) {
        this.hasPrize = hasPrize;
    }

    @Override
    public String toString() {
        return "TaskProgressItemDTO{" +
                "taskSendId=" + taskSendId +
                "taskId=" + taskId +
                ", taskItemId=" + taskItemId +
                ", taskItemName='" + taskItemName + '\'' +
                ", completeState=" + completeState +
                ", hasPrize=" + hasPrize +
                '}';
    }
}
